/*
 * crc16ark.h
 *
 *      Author: arkhnchul
 */

#ifndef CRC16ARK_H_
#define CRC16ARK_H_

#include <stdint.h>

//#define CRC16_USING_TABLE

#define CRC16_POLYNOMIAL_MODBUS 0xA001

#ifdef CRC16_USING_TABLE
#define CRC_TABLE_SIZE 256
extern const uint16_t crc16_table[];
#endif //CRC16_USING_TABLE

uint16_t crc16_compute(uint8_t bytes[], uint8_t size);

#endif /* CRC16ARK_H_ */
